#
# spec file for package yast2-live-installer
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-live-installer
Version:        3.1.8
Release:        2.3

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

# Internet and InternetDevices
Requires:       yast2 >= 2.16.6
Requires:       yast2-bootloader >= 2.18.7
Requires:       yast2-network >= 2.16.6
#unified progress
Requires:       yast2-installation >= 2.18.17

Requires:       yast2-bootloader
Requires:       yast2-country
Requires:       yast2-storage
BuildRequires:  perl-XML-Writer
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools >= 3.1.10
BuildRequires:  yast2-testsuite

BuildArch:      noarch

Requires:       yast2-ruby-bindings >= 1.0.0

Summary:        YaST2 - Installation from Live Media
License:        GPL-2.0+
Group:          System/YaST

%description
This package contains the YaST component to deploy a live media to the
hard disk of the computer.

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

%files
%defattr(-,root,root)
%{yast_clientdir}/*.rb
%{yast_moduledir}/LiveInstaller.*
%{yast_desktopdir}/live-installer.desktop
%doc %{yast_docdir}

%changelog
* Tue Jun  7 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- 3.1.8
* Wed Apr 13 2016 jreidinger@suse.com
- remove using of dropped bootloader parts (related to FATE#317701)
- 3.1.7
* Tue Jan 26 2016 martin.koegler@chello.at
- fix replacing symlinks to /livecd/* by their target file/directory
- 3.1.6
* Wed Jan 13 2016 mfilka@suse.com
- dropped unused inst client
- 3.1.5
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Wed Mar 26 2014 lslezak@suse.cz
- hide steps (the left panel) during installation (to be compatible
  with normal installation) (issue found by tchvatal, fix proposed
  by coolo, thanks!)
- 3.1.3
* Wed Jan  8 2014 jsrain@suse.cz
- make inst_live_cleanup work before switch to chroot in order to
  allow to remove 2nd stage from live installation
- 3.1.2
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Tue Nov 13 2012 tgoettlicher@suse.de
- confirmed license GPL v2
- 2.21.2
* Thu Mar 29 2012 jsuchome@suse.cz
- merged proofread texts
* Tue Aug 30 2011 jsrain@suse.cz
- do not set the root device for mkinitrd explicitly (bnc#714650)
- 2.21.1
* Mon Aug  8 2011 jsrain@suse.cz
- enhance error reporting when running out of disk space during
  live installation (bnc#533601)
- 2.21.0
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Tue Mar  8 2011 jsrain@suse.cz
- don't eject the CD during reboot after live installation
  (bnc#511210)
* Thu Nov 18 2010 jsrain@suse.cz
- suppress memory warning if live installer is running directly
  from boot scripts (bnc#547743)
* Tue Oct 12 2010 lslezak@suse.cz
- don't use obsoleted inst_packages.ycp client, use PackagesUI.ycp
  module instead (bnc#471490)
- 2.20.0
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Fri Oct 30 2009 jsrain@suse.cz
- call correct_live_for_reboot script before reboot (bnc#550874)
- 2.18.8
* Wed Sep  9 2009 jsrain@suse.cz
- enhanced error reporting (bnc#533601)
- 2.18.7
* Thu Aug 20 2009 jsrain@suse.cz
- fixed calling the workflow modules (bnc#532502)
- 2.18.6
* Wed Aug 12 2009 jsrain@suse.cz
- remove /usr/bin/correct_live_install after installation
- 2.18.5
* Mon Aug 10 2009 jsrain@suse.cz
- adapted to changes in Keyboard,ycp (bnc#529175)
- 2.18.4
* Fri Aug  7 2009 jsrain@suse.cz
- use separate control file if present
  (/etc/YaST2/control-live.xml)
- 2.18.3
* Thu Jun 11 2009 jsrain@suse.cz
- adapted for unified progress during live installation
  (bnc#435680)
- 2.18.2
* Thu May  7 2009 jsrain@suse.cz
- adapted to changes in yast2-bootloader
- 2.18.1
* Fri Jan  9 2009 jsrain@suse.de
- optionally eject CD and reboot after the end of live installation
  (bnc #455760)
- 2.18.0
* Tue Jan  6 2009 jsrain@suse.cz
- disable all repos before installation, reenable afterwards
  (bnc #450228)
* Thu Nov 13 2008 jsrain@suse.cz
- disable desktop automounter and warn if removable medias are
  mounted (bnc #437235)
- 2.17.2
* Tue Nov  4 2008 jsrain@suse.cz
- display a warning if low amount of memory is detected
  (bnc #434561)
- 2.17.1
* Thu Sep 11 2008 jsrain@suse.cz
- merged texts from proofread
* Thu Aug  7 2008 aschnell@suse.de
- adapted to changes in yast2-storage
- 2.17.0
* Thu May 29 2008 jsrain@suse.cz
- call boot.dmraid start at the beginning of live installation
  (bnc #394660)
- 2.16.5
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Tue May  6 2008 jsrain@suse.cz
- do not handle automatic/manual configuration, since live
  installation has now separate workflow (bnc #385558)
- 2.16.4
* Tue Apr 15 2008 jsrain@suse.cz
- merged texts from proofread
* Thu Apr  3 2008 jsrain@suse.cz
- save time zone during installation
- use proper 2nd stage workflow
- 2.16.3
* Tue Apr  1 2008 jsrain@suse.cz
- merged live installation control file to default control file
- updated inst_finish steps handling
- 2.16.2
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
* Thu Feb 14 2008 locilka@suse.cz
- Function FileSystemCopy from live-installer has been moved
  to ImageInstallation module (installation).
- Adjusted RPM dependencies.
* Mon Jan 21 2008 jsrain@suse.cz
- added missing slash in "/dev/null"
* Fri Nov 30 2007 jsrain@suse.cz
- fixed message at the end of installation (#343802)
* Thu Nov 22 2007 locilka@suse.cz
- Fixed link to online repositories (#342758).
- Fixed texts in installation control file.
* Fri Nov  9 2007 jsrain@suse.cz
- removed hack for product name initialization (#297609)
- 2.16.1
* Fri Nov  2 2007 locilka@suse.cz
- Adjusted RPM dependencies, adjusted YCP clients (YCP module
  Internet has been moved to yast2 from yast2-network, some
  functions were moved to InternetDevices module).
- 2.16.0
* Thu Oct 11 2007 jsrain@suse.cz
- save X11 keyboard configuration (#310517)
* Wed Oct 10 2007 jsrain@suse.cz
- added registration to the live installation workflow (#325560)
- issue warning if DMRAID detected (#328388)
* Thu Oct  4 2007 locilka@suse.cz
- Adding missing live_save_config_finish script (#310517).
- Adding new inst_live_pre-proposal script that adjusts Kernel
  vga parameter according to /proc/cmdline (#297612).
- 2.15.13
* Wed Sep 26 2007 jsrain@suse.cz
- added missing step to prepare internet test (#325560)
- 2.15.12
* Wed Sep 26 2007 jsrain@suse.cz
- go directly to full installation proposal (#310883)
- 2.15.11
* Fri Sep 21 2007 locilka@suse.cz
- Calling /usr/bin/correct_live_install script if it exists
  (#326800).
- 2.15.10
* Fri Sep 14 2007 locilka@suse.cz
- Adding inst_live_cleanup scipt into the RPM package (#310521).
- Client inst_fam removed from control file (#310359).
- 2.15.9
* Mon Sep 10 2007 jsrain@suse.cz
- remove the yast2-live-installer package after live installation
  (#307687)
- 2.15.8
* Wed Aug 22 2007 jsrain@suse.cz
- fixed race condition (unfortunate kill of 'dd') (#302551)
- 2.15.7
* Tue Aug 14 2007 jsuchome@suse.cz
- added text to .desktop file, correct icon name
- 2.15.6
* Fri Aug 10 2007 jsrain@suse.cz
- fixed several textdomains
- 2.15.5
* Thu Aug  9 2007 jsrain@suse.cz
- do inform about missing cmdline interface instead of starting
  GUI (#269890)
* Thu Aug  9 2007 jsrain@suse.cz
- added timezone and keyboard configuration to the installatoin
  proposal (#297620)
- 2.15.4
* Wed Aug  8 2007 jsrain@suse.cz
- added missing help texts
- changed product name to openSUSE (#297609)
- 2.15.3
* Thu Aug  2 2007 jsrain@suse.cz
- even more simplified installation overview
- report progress while copying to the system
- reduced the steps
- 2.15.2
* Mon Jul 30 2007 jsrain@suse.cz
- added simplified installation overview
- 2.15.1
* Tue Jul 17 2007 jsrain@suse.cz
- initial version
- 2.15.0
